Bug 16864 - Silence warnings in t/db_dependent/ILSDI_Services.t
Summary: Silence warnings in t/db_dependent/ILSDI_Services.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Mark Tompsett
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-06 18:17 UTC by Mark Tompsett
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16864: Silence warnings in t/db_dependent/ILSDI_Services.t (1.38 KB, patch)
2016-07-06 18:21 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 16864: Silence warnings in t/db_dependent/ILSDI_Services.t (1.42 KB, patch)
2016-07-26 18:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16864: Silence warnings in t/db_dependent/ILSDI_Services.t (1.49 KB, patch)
2016-08-02 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Tompsett 2016-07-06 18:17:28 UTC
$cgi->param() is used in an ambiguous context, so it doesn't realize it should be scalar. Clarify the context while maintaining readability by novices.
Comment 1 Mark Tompsett 2016-07-06 18:21:02 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-26 18:06:10 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-02 10:14:55 UTC
Created attachment 53881 [details] [review]
Bug 16864: Silence warnings in t/db_dependent/ILSDI_Services.t

prove t/db_dependent/ILSDI_Services.t
generates noisy output as a result of the ambiguous context
of two $cgi->param() calls.

By storing into scalar variables, and then using the scalar
variables, the code maintains readability and fixes the problem.

TEST PLAN
---------
1) prove t/db_dependent/ILSDI_Services.t
   -- noisy.
2) apply patch
3) prove t/db_dependent/ILSDI_Services.t
   -- not noisy
4) run koha qa test tools

Signed-off-by: Marc <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-08-04 20:06:49 UTC
Pushed to master.  Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-08-05 06:54:56 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-17 13:44:10 UTC
Patch pushed to 3.22.x, will be in 3.22.10